"use client";
import { useRouter } from "@/i18n";
import { NextUIProvider } from "@nextui-org/system";
import { ThemeProvider } from "next-themes";
import { ThemeProviderProps } from "next-themes/dist/types";
import { ReactNode } from "react";
import { setHtmlFontSize } from "@/utils/index"

export interface ProvidersProps {
    children: ReactNode;
    themeProps?: Omit<ThemeProviderProps, "children">;
}

export const Providers = ({ children, themeProps }: ProvidersProps) => {
    const router = useRouter();
    return (
        <div id="app">
            <NextUIProvider navigate={router.push}>
                <ThemeProvider {...themeProps}>{children}</ThemeProvider>
            </NextUIProvider>
        </div>
    );
};

// 调用响应式方法
setHtmlFontSize()
